com.opensymphony.xwork2.conversion

## Interface TypeConverter

- All Known Implementing Classes:
    ArrayConverter, CollectionConverter, DateConverter, DefaultTypeConverter, NumberConverter, StringConverter, StrutsTypeConverter, UploadedFileConverter, XWorkBasicConverter, XWorkConverter, XWorkTypeConverterWrapper

      public interface TypeConverter

  Interface for accessing the type conversion facilities within a context. This interface was copied from OGNL's TypeConverter
  Author:
    Luke Blanshard (blanshlu@netscape.net), Drew Davidson (drew@ognl.org)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Object` | `NO_CONVERSION_POSSIBLE`
    `static String` | `TYPE_CONVERTER_CONTEXT_KEY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `convertValue(Map<String,Object> context, Object target, Member member, String propertyName, Object value, Class toType)` Converts the given value to a given type.

- - ### Field Detail

    - #### NO_CONVERSION_POSSIBLE

          static final Object NO_CONVERSION_POSSIBLE

    - #### TYPE_CONVERTER_CONTEXT_KEY

          static final String TYPE_CONVERTER_CONTEXT_KEY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### convertValue

          Object convertValue(Map<String,Object> context,
                            Object target,
                            Member member,
                            String propertyName,
                            Object value,
                            Class toType)

      Converts the given value to a given type. The OGNL context, target, member and name of property being set are given. This method should be able to handle conversion in general without any context, target, member or property name specified.
      Parameters:
        `context` - context under which the conversion is being done
        `target` - target object in which the property is being set
        `member` - member (Constructor, Method or Field) being set
        `propertyName` - property name being set
        `value` - value to be converted
        `toType` - type to which value is converted
      Returns:
        Converted value of type toType or TypeConverter.NoConversionPossible to indicate that the conversion was not possible.

Copyright © 2000–2019 Apache Software Foundation. All rights reserved.